Bug 225742 - mail/py-dkimpy: update to 0.7.0
Summary: mail/py-dkimpy: update to 0.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D14293
Keywords:
Depends on:
Blocks: 225743
  Show dependency treegraph
 
Reported: 2018-02-07 21:25 UTC by Sebastian Schwarz
Modified: 2018-02-10 17:36 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
mail/py-dkimpy-0.7.0.patch (1.09 KB, patch)
2018-02-07 21:25 UTC, Sebastian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Schwarz 2018-02-07 21:25:05 UTC
Created attachment 190405 [details]
mail/py-dkimpy-0.7.0.patch

Also replace dns/py-dns dependency with dns/py-dnspython. The
former only support Python 2 while the latter supports both
Python 2 and 3. It is recommended by the software's own README
over the former one.
Comment 1 Kevin Golding 2018-02-08 14:53:05 UTC
Looks fine to me
Comment 2 commit-hook freebsd_committer 2018-02-10 08:24:08 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 10 08:23:06 UTC 2018
New revision: 461364
URL: https://svnweb.freebsd.org/changeset/ports/461364

Log:
  mail/py-dkimpy: Update to 0.7.0

  Additional port changes:
  * DISTVERSION
  * Added dependencies:
    * mail/py-authres
    * mail/py-milter (unfortunately py27-only)
    * security/py-pynacl
  * Replaced dependencies:
    * dns/py-dns -> dns/py-dnspython (allows py36 now)
  * Added USE_PYTHON=concurrent.
  * Added patch fixing manpage path.

  PR:		225742
  Submitted by:	Sebastian Schwarz <seschwar@gmail.com>
  Approved by:	 Kevin Golding <ports@caomhin.org> (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14293

Changes:
  head/mail/py-dkimpy/Makefile
  head/mail/py-dkimpy/distinfo
  head/mail/py-dkimpy/files/
  head/mail/py-dkimpy/files/patch-setup.py
Comment 3 Yuri Victorovich freebsd_committer 2018-02-10 08:24:41 UTC
Committed with additions.
Thank you for your submission!
Comment 4 Sebastian Schwarz 2018-02-10 13:20:20 UTC
milter is used in a single place only when dnspython isn't available: https://bazaar.launchpad.net/~dkimpy-hackers/dkimpy/trunk/view/head:/dkim/dnsplug.py#L65

Since the port depends on that now the dependency on mail/py-milter can be removed.  This would allow this port and everyone depending on this to be built for Python 3 again.
Comment 5 Yuri Victorovich freebsd_committer 2018-02-10 17:36:12 UTC
(In reply to Sebastian Schwarz from comment #4)

Ok, thanks,

I will take a look.

Yuri